gphoto2-port-library.h File Reference
`#include <gphoto2/gphoto2-port-info-list.h>`
`#include <gphoto2/gphoto2-port.h>`

Go to the source code of this file.

## Data Structures

struct | _GPPortOperations
| The port operations. More...

## Typedefs

typedef struct _GPPortOperations | GPPortOperations
| The port operations. More...
typedef GPPortType(* | GPPortLibraryType )(void)
typedef int(* | GPPortLibraryList )(GPPortInfoList *list)
typedef GPPortOperations *(* | GPPortLibraryOperations )(void)

## Functions

GPPortType | gp_port_library_type (void)
int | gp_port_library_list (GPPortInfoList *list)
GPPortOperations * | gp_port_library_operations (void)

## Detailed Description

Author
  Copyright 2001 Lutz Mueller lutz@.nosp@m.user.nosp@m.s.sf..nosp@m.net

License
  This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

## Typedef Documentation

typedef struct _GPPortOperations GPPortOperations

The port operations.

These operations are to be implemented and set by the port library, which drives the lowlevel protocol (serial, usb, etc.).

They are acessed using the accessor functions, like gp_port_open(), gp_port_read() and gp_port_write().